<?php
require '../conn/conn.php';
require '../conn/function.php';

$D_domain=splitx($_SERVER["HTTP_HOST"].$_SERVER["PHP_SELF"],"/member",0);

$action=$_GET["action"];
if($action=="found"){
    $M_email=$_POST["M_email"];
    $M_code=$_POST["M_code"];
    if(($_POST["M_code"]!=$_SESSION["CmsCode"] || $_POST["M_code"]=="" || $_SESSION["CmsCode"]=="") && $C_slide==1){
        box("验证码错误!","back","error");
    }else{
        $sql="select * from sl_member where M_email='".t($M_email)."'";
            $result = mysqli_query($conn, $sql);
            $row = mysqli_fetch_assoc($result);
            if (mysqli_num_rows($result) > 0) {
            $M_pwdcode=gen_key(20);
            mysqli_query($conn,"update sl_member set M_pwdcode='".$M_pwdcode."' where M_email='".$M_email."'");

            $info=sendmail("找回密码邮件","请点击链接重新设置密码<br><a href='http://".$D_domain."/member/setpwd.php?M_pwdcode=".$M_pwdcode."'>http://".$D_domain."/member/setpwd.php?M_pwdcode=".$M_pwdcode."</a><br>说明：重置密码后链接失效",$M_email);
            if($info=="success"){
                box("请查收密码找回邮件!","login.php","success");
            }else{
                box($info,"back","error");
            }
        }else{
            box("邮箱输入错误，请重新输入!","back","error");
        }
    }
}
?>
<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>找回密码 - <?php echo $C_title?></title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0, minimal-ui">
	<link rel="stylesheet" href="https://cdn.staticfile.org/twitter-bootstrap/3.3.7/css/bootstrap.min.css">  
	<script src="https://cdn.staticfile.org/jquery/2.1.1/jquery.min.js"></script>
	<script src="https://cdn.staticfile.org/twitter-bootstrap/3.3.7/js/bootstrap.min.js"></script>
    <link href="../media/<?php echo $C_ico?>" rel="shortcut icon" type="image/x-icon" />
    <link rel='stylesheet' type='text/css' href="../css/css/font-awesome.min.css">
	<style type="text/css">
		body{background: #62a8ea}
		.box{max-width: 400px;width: 90%;margin:0 auto;background: #fff;border-radius: 10px;text-align: center;margin-top:10%;padding: 50px;box-shadow: 0 1px 1px rgb(0 0 0 / 5%);}
		.buttons{text-align: center;margin-top: 20px}
	</style>
</head>
<body>
<div class="box">
	<a href="../"><img  src="../media/<?php echo $C_logo?>" style="max-width: 100%"></a>
	<h2 class="h3">找回密码</h2>
	<div style="text-align: left;">
        <?php if($C_regon==1){?>
        <form method="post" class="met-form-validation" action="?action=found">
		<p>邮箱/帐号</p>
		<p><input type="text" name="M_email" class="form-control"></p>

		<?php if($C_slide==1){
            echo "<p>
            ".calculation("M_code")."
            </p>";
        }?>
		<p><button type="submit" class="btn btn-block btn-primary">登录</button></p>
        </form>
        <?php }?>


        <p style="font-size: 12px;color: #AAA;margin-top: 12px;text-align: center;">还没有账号? 去 <a href="reg.php">注册</a> <a href="../">返回首页</a> </p>


	</div>
</div>

<script src="../js/qrcode.min.js"></script>
<script type="text/javascript">
function qrcode(){
    $("#buttons").hide();
    var qrcode = new QRCode('billImage', {width: 100,height: 100,colorDark: '#000000',colorLight: '#ffffff',correctLevel: QRCode.CorrectLevel.H});
    qrcode.makeCode("<?php echo gethttp().$D_domain."/pay/wxpay/login.php?genkey=".$genkey."_".intval($_SESSION["uid"])?>");
}
function test(){
$.post("post.php",
    {
      genkey:"<?php echo $genkey."_".intval($_SESSION["uid"])?>",
    },
    function(data){
  if(data==1){
  window.location.href='login.php?from=<?php echo urlencode($from)?>'
  }
    });
}
setInterval("test()",3000); //每3秒钟执行一次test()
</script>
<?php
if(isMobile()){
  $api=$api.'<style>
.tab_bar{position: fixed;bottom: 0px;left: 0px;z-index: 9999;background: #fff;height: 55px;width: 100%;border-top: solid 1px #DDD;padding-top: 5px;font-size: 12px;}
.tab_bar a{color:#333}
.tab_bar .active{color: #ff0000}
.tab_bar img{height: 27px;}
.tab_bar table{width: 100%;}
.tab_bar table tr td{text-align: center;}
.h50{height: 50px;}
</style>

<div class="h50"></div>
<div class="tab_bar">
  <table>
    <tr>
  <td><a class="tab" href="../">
    <img src="https://www.fahuo100.cn/images/tab1.png">
    <div >首页</div>
  </a></td>';

  if($config->course!="false"){
    $api=$api.'<td><a class="tab" href="../?type=course&id=0">
        <img src="https://www.fahuo100.cn/images/tab5.png">
        <div >课程</div>
      </a></td>';
  }

  if($config->news!="false"){
    $api=$api.'<td><a class="tab" href="../?type=news&id=0">
      <img src="https://www.fahuo100.cn/images/tab3.png">
      <div >文章</div>
    </a></td>';
  }

  if($config->product!="false"){
    $api=$api.'<td><a class="tab" href="../?type=product&id=0">
      <img src="https://www.fahuo100.cn/images/tab2.png">
      <div >商品</div>
    </a></td>';
  }

  $api=$api.'<td><a class="tab" href="">
    <img src="https://www.fahuo100.cn/images/tab4_2.png">
    <div class="active">我的</div>
  </a></td>
</tr>
</table>
</div>';
echo $api;
}
?>
</body>
</html>